LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XInteractionSupplyName Interface Referencepublished

is an interaction continuation used to hand back a new name for something. More...

`import"XInteractionSupplyName.idl";`

Inheritance diagram for XInteractionSupplyName:

## Public Member Functions
void | setName ([in] string Name)
| sets the name to supply. More...
Public Member Functions inherited from XInteractionContinuation
void | select ()
| Select this way of continuing from an com::sun::star::task::XInteractionRequest (given a choice of various instances of com::sun::star::task::XInteractionContinuation). More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is an interaction continuation used to hand back a new name for something.

For example, this continuation can be selected when handling a NameClashResolveRequest in order to supply a new name for a clashing resource.

Version
  1.0

Author
  Kai Sommerfeld

## Member Function Documentation

void setName | ( | [in] string | Name | ) |

sets the name to supply.

Parameters

  Name | contains the name to supply.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XInteractionSupplyName.idl